package controller

import (
	"campaign-pool-be/app/module/activity_logs/service"

	"github.com/rs/zerolog"
)

type Controller struct {
	ActivityLogs ActivityLogsController
}

func NewController(ActivityLogsService service.ActivityLogsService, log zerolog.Logger) *Controller {
	return &Controller{
		ActivityLogs: NewActivityLogsController(ActivityLogsService, log),
	}
}
